
/**
 * EssaiPile essaye une pile et met en oeuvre ses différentes opérations.
 * C'est-à-dire sollicite ses différents services.
 *
 * @author Philippe
 * @version 1
 */
public abstract class EssaiPile
{
    public static void main(String arg[])
    {
        Pile p;
        char choix = ' ';
        int valeur;
        p = new Pile(Integer.parseInt(arg[0]));
        while (choix != 'q') {
            //vérification de la précondition pour ne pas demander l'impossible
            if (!p.estPleine())
                System.out.print(" a)jouter");
            //vérification de la précondition pour ne pas demander l'impossible
            if (!p.estVide()) {
                System.out.print(" r)etirer");
                System.out.print(" s)ommet");
            }
            System.out.print(" q)uitter... ");
            choix = IN.getChar();
            switch(choix) {
                case 'a':
                    System.out.print("valeur à ajouter ? ");
                    p.ajouter(IN.getInt());
                    break;
                case 'r':
                    p.retirer();
                    break;
                case 's':
                    System.out.println("Sommet = " + p.sommet());
                    break;
                case 'q':
                    System.out.println("Fin.");
                    break;
            }
        }
    }
}
